Describe Storage Integration (V2)
This operation gets details of a bucket storage integration. The project scope is resolved from the integration ID.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
The ID of the storage integration.
export TOKEN="YOUR_API_KEY"
export integrationId="integ-xxxxxxxxxxxxxxxxxxx"
curl --request GET \
--url "${BASE_URL}/v2/storageIntegrations/${integrationId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Returns the storage integration details.
A success response.
Response code.
Returns the storage integration details.
ID of the storage integration.
Name of the storage integration.
Description of the storage integration.
Status of the storage integration.
Status message of the storage integration.
ID of the region of the storage integration.
Name of the integrated storage bucket.
External cloud credential of the storage integration.
ARN of the IAM role to assume.
External ID used when assuming the role.
Name of the cloud account.
Client ID of the Azure application.
Tenant ID of the Azure directory.
ID of the Google Cloud project.
Email of the Google Cloud service account.
Time when the storage integration was created.
A failure response.
Response code.
Error message.
{
"code": 0,
"data": {
"integrationId": "integ-xxxxxxxxxxxxxxxxxxx",
"name": "analytics-s3",
"description": "S3 bucket for external tables",
"status": "ACTIVE",
"message": "",
"regionId": "aws-us-west-2",
"bucketName": "my-bucket",
"externalCred": {
"roleArn": "arn:aws:iam::123456789012:role/zilliz-bucket-role",
"externalId": "zilliz-external-AbCdEf12345678"
},
"createTime": "2024-07-30T16:49:50Z"
}
}